-- phpMyAdmin SQL Dump
-- version 4.9.5
-- https://www.phpmyadmin.net/
--
-- Host: localhost
-- Czas generowania: 21 Mar 2024, 08:34
-- Wersja serwera: 10.5.23-MariaDB-0+deb11u1
-- Wersja PHP: 7.4.33

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Baza danych: `serwer173084_uzet`
--

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `B`
--

CREATE TABLE `B` (
  `ICD9` char(7) NOT NULL,
  `Kategoria` varchar(50) NOT NULL,
  `Cena` decimal(5,2) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Badania';

--
-- Zrzut danych tabeli `B`
--

INSERT INTO `B` (`ICD9`, `Kategoria`, `Cena`) VALUES
('A14', 'Leukocyty xxx', '25.00'),
('A15', 'Glukoza', '40.00'),
('C09', 'Erytrogram', '37.00'),
('C19', 'Hemoglobina', '28.00'),
('C41', 'Limfocyty T', '45.00');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `L`
--

CREATE TABLE `L` (
  `PWZ` char(7) NOT NULL,
  `NazwiskoL` varchar(25) NOT NULL,
  `ImieL` varchar(25) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Dane lekarzy';

--
-- Zrzut danych tabeli `L`
--

INSERT INTO `L` (`PWZ`, `NazwiskoL`, `ImieL`) VALUES
('1234567', 'Adamska', 'Alicja'),
('7654321', 'Wójcik', 'Zofia');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `P`
--

CREATE TABLE `P` (
  `PESEL` char(11) NOT NULL,
  `NazwiskoP` varchar(25) NOT NULL,
  `ImieP` varchar(25) NOT NULL,
  `PWZ` char(7) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Dane pacjentów';

--
-- Zrzut danych tabeli `P`
--

INSERT INTO `P` (`PESEL`, `NazwiskoP`, `ImieP`, `PWZ`) VALUES
('70052000234', 'Nowak', 'Andrzej', '1234567'),
('82012090803', 'Kowalski', 'Jan', '1234567'),
('85102303225', 'Wiśniewska', 'Anna', '7654321'),
('93041020146', 'Kowalczyk', 'Julia', '7654321');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `S`
--

CREATE TABLE `S` (
  `PESEL` char(11) NOT NULL,
  `ICD9` char(7) NOT NULL,
  `Data` date NOT NULL,
  `PWZ` char(7) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Zrzut danych tabeli `S`
--

INSERT INTO `S` (`PESEL`, `ICD9`, `Data`, `PWZ`) VALUES
('70052000234', 'A14', '2021-01-15', '1234567'),
('70052000234', 'A15', '2021-01-15', '1234567'),
('70052000234', 'C09', '2021-01-18', '1234567'),
('70052000234', 'C41', '2021-02-25', '1234567'),
('82012090803', 'A14', '2021-01-18', '7654321'),
('82012090803', 'A14', '2021-02-11', '1234567'),
('82012090803', 'C09', '2021-01-18', '7654321'),
('82012090803', 'C19', '2021-01-18', '7654321');

--
-- Indeksy dla zrzutów tabel
--

--
-- Indeksy dla tabeli `B`
--
ALTER TABLE `B`
  ADD PRIMARY KEY (`ICD9`);

--
-- Indeksy dla tabeli `L`
--
ALTER TABLE `L`
  ADD PRIMARY KEY (`PWZ`);

--
-- Indeksy dla tabeli `P`
--
ALTER TABLE `P`
  ADD PRIMARY KEY (`PESEL`),
  ADD KEY `PWZ` (`PWZ`);

--
-- Indeksy dla tabeli `S`
--
ALTER TABLE `S`
  ADD PRIMARY KEY (`PESEL`,`ICD9`,`Data`),
  ADD KEY `ICD9` (`ICD9`);

--
-- Ograniczenia dla zrzutów tabel
--

--
-- Ograniczenia dla tabeli `P`
--
ALTER TABLE `P`
  ADD CONSTRAINT `P_ibfk_1` FOREIGN KEY (`PWZ`) REFERENCES `L` (`PWZ`);

--
-- Ograniczenia dla tabeli `S`
--
ALTER TABLE `S`
  ADD CONSTRAINT `S_ibfk_1` FOREIGN KEY (`ICD9`) REFERENCES `B` (`ICD9`),
  ADD CONSTRAINT `S_ibfk_2` FOREIGN KEY (`PESEL`) REFERENCES `P` (`PESEL`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
